- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy > Class Template Reference

OUT skeleton argument of variable size element array. More...

`#include <Var_Array_SArgument_T.h>`

Inheritance diagram for TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >:

[legend]
Collaboration diagram for TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >:

[legend]
List of all members.

## Public Member Functions
| Out_Var_Array_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &cdr)
virtual void | interceptor_value (CORBA::Any *any) const
S_slice *& | arg (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S_slice, typename S_var, typename S_forany, typename Insert_Policy>
class TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >

OUT skeleton argument of variable size element array.

## Constructor & Destructor Documentation

template<typename S_slice, typename S_var, typename S_forany, typename Insert_Policy>

ACE_INLINE TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >::Out_Var_Array_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S_slice, typename S_var, typename S_forany, typename Insert_Policy>

S_slice *& TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >::arg | ( | void |  | ) |

template<typename S_slice, typename S_var, typename S_forany, typename Insert_Policy>

void TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >::interceptor_value | ( | CORBA::Any * | any | ) | const`[virtual]`

template<typename S_slice, typename S_var, typename S_forany, typename Insert_Policy>

CORBA::Boolean TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >::marshal | ( | TAO_OutputCDR & | cdr | ) | `[virtual]`

## Member Data Documentation

template<typename S_slice, typename S_var, typename S_forany, typename Insert_Policy>

S_var TAO::Out_Var_Array_SArgument_T< S_slice, S_var, S_forany, Insert_Policy >::x_`[private]`

The documentation for this class was generated from the following files:

- Var_Array_SArgument_T.h
- Var_Array_SArgument_T.cpp
- Var_Array_SArgument_T.inl